#include <windows.h>
#include <stdio.h>
#include <time.h>
#include "client.h"
#include "server.h"

#pragma comment (lib, "ws2_32.lib")

struct sockaddr_in ClientSAddr;			//   
int	periodJob;							//   

int main(DWORD argc, LPTSTR argv[])
{
	SOCKET ClientSock = INVALID_SOCKET;
	WSADATA WSStartData;
	char DefaultIPAddr[] = "127.0.0.1";
	char s[30];

	//                                          //
	WSAStartup(MAKEWORD(2, 0), &WSStartData);
	ClientSock = socket(AF_INET, SOCK_STREAM, 0);
	ClientSAddr.sin_family = AF_INET;

	if (argc >= 2)												// IP ?
		ClientSAddr.sin_addr.s_addr = inet_addr(argv[1]);		//  -   
	else
		ClientSAddr.sin_addr.s_addr = inet_addr(DefaultIPAddr);	//  -  

	ClientSAddr.sin_port = htons(SERVER_PORT);					//  
	connect(ClientSock, (struct sockaddr *) &ClientSAddr, sizeof(ClientSAddr));

	//    //
	srand(time(NULL));
	periodJob = rand() % (N_MAX-N_MIN) + N_MIN;	//      
	
	printf(" \"\" \n");
	printf(""  : %i \n", periodJob);	// 

	while (TRUE)
	{
		
		wsprintf(s, "%i",rand() % (L_MAX-L_MIN) + L_MIN);		// //   (     )
		if (send(ClientSock, s, strlen(s)+1, 0) == SOCKET_ERROR)
			break;
		printf("" \n"");
		//     
		Sleep(periodJob);		
	}

	shutdown(ClientSock, 0);
	closesocket(ClientSock);
	WSACleanup();

	return 0;
}