#include <windows.h>
#include <stdio.h>
#include <time.h>
#include "client.h"						//   
#include "server.h"						//     

#pragma comment (lib, "ws2_32.lib")

struct sockaddr_in ClientSAddr;			//   

int	speedJob;							//   
int lengthJob;							//   

int main(DWORD argc, LPTSTR argv[])
{
	SOCKET ClientSock = INVALID_SOCKET;
	WSADATA WSStartData;
	char DefaultIPAddr[] = "127.0.0.1";
	char buf[30];

	//                                          //
	WSAStartup(MAKEWORD(2, 0), &WSStartData);

	ClientSock = socket(AF_INET, SOCK_STREAM, 0);
	memset(&ClientSAddr, sizeof(ClientSAddr), 0);
	ClientSAddr.sin_family = AF_INET;

	if (argc >= 2)												// IP ?
		ClientSAddr.sin_addr.s_addr = inet_addr(argv[1]);		//  -   
	else
		ClientSAddr.sin_addr.s_addr = inet_addr(DefaultIPAddr);	//  -  

	ClientSAddr.sin_port = htons(SERVER_PORT);
	connect(ClientSock, (struct sockaddr *) &ClientSAddr, sizeof(ClientSAddr));
	
	//   0 - ,  " "
	send(ClientSock, "0", 2, 0);
	//    //
	srand(time(NULL));
	speedJob =  rand() % int((N_MAX-N_MIN)/K) + int(N_MIN/K)+1;
	
	printf(" \"\" \n");	// 
	printf("// : %i   \n", 1000/speedJob);	

	while (TRUE)
	{
		//  .    -  
		if (recv(ClientSock, buf, sizeof(buf), 0) == SOCKET_ERROR)
			break;
		lengthJob = atoi(buf);			//   
		Sleep(lengthJob * speedJob);	//   ,    
		send(ClientSock, "0", 2, 0);	//  ,   
		printf(" \n");
	}

	shutdown(ClientSock, 0);
	closesocket(ClientSock);
	WSACleanup();

	return 0;
}